com.sun.jna.platform.unix

## Class X11.Window

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.unix.X11.XID
        - - com.sun.jna.platform.unix.X11.Drawable
          - - com.sun.jna.platform.unix.X11.Window

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    X11

      public static class X11.Window
      extends X11.Drawable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static X11.Window` | `None`

    - ### Fields inherited from class com.sun.jna.NativeLong

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11.Window()`
    `X11.Window(long id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.

    - ### Methods inherited from class com.sun.jna.platform.unix.X11.XID

      `isNone, toString`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### None

          public static final X11.Window None

  - ### Constructor Detail

    - #### X11.Window

          public X11.Window()

    - #### X11.Window

          public X11.Window(long id)

  - ### Method Detail

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                    FromNativeContext context)

      Description copied from interface: `NativeMapped`
      Convert the given native object into its Java representation using the given context.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Overrides:
        `fromNative` in class `X11.Drawable`
      Parameters:
        `nativeValue` - Java representation of the native type to be converted.
        `context` - Context in which the conversion is taking place.
      Returns:
        Converted object.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.